#ifndef CLIPBOARD_HPP_
#define CLIPBOARD_HPP_

#include <string>

namespace Clipboard
{
    /**
     * Put the specified text in the clipboard.
     */
    void put(std::string text);

    /**
     * Returns true if the clipboard currently contains text.
     */
    bool hasText();

    /**
     * Get the clipboard text.
     */
    std::string get();
};

#endif